# eric5.Plugins.VcsPlugins.vcsSubversion.SvnDiffDialog

Module implementing a dialog to show the output of the svn diff command process.

### Global Attributes

None

### Classes

SvnDiffDialog | Class implementing a dialog to show the output of the svn diff command process.

### Functions

None

## SvnDiffDialog

Class implementing a dialog to show the output of the svn diff command process.

### Derived from

QWidget, Ui_SvnDiffDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnDiffDialog | Constructor
__appendText | Private method to append text to the end of the contents pane.
__extractFileName | Private method to extract the file name out of a file separator line.
__getVersionArg | Private method to get a svn revision argument for the given revision.
__procFinished | Private slot connected to the finished signal.
__processFileLine | Private slot to process a line giving the old/new file.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
closeEvent | Private slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_filesCombo_activated | Private slot to handle the selection of a file.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_saveButton_clicked | Private slot to handle the Save button press.
on_sendButton_clicked | Private slot to send the input to the subversion process.
start | Public slot to start the svn diff command.

### Static Methods

None

#### SvnDiffDialog (Constructor)

SvnDiffDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnDiffDialog.__appendText

__appendText(txt, format)

Private method to append text to the end of the contents pane.

txt
  text to insert (string)
format
  text format to be used (QTextCharFormat)

#### SvnDiffDialog.__extractFileName

__extractFileName(line)

Private method to extract the file name out of a file separator line.

line
  line to be processed (string)

Returns:
  extracted file name (string)

#### SvnDiffDialog.__getVersionArg

__getVersionArg(version)

Private method to get a svn revision argument for the given revision.

version
  revision (integer or string)

Returns:
  version argument (string)

#### SvnDiffDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnDiffDialog.__processFileLine

__processFileLine(line)

Private slot to process a line giving the old/new file.

line
  line to be processed (string)

#### SvnDiffDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnDiffDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### SvnDiffDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

#### SvnDiffDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### SvnDiffDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnDiffDialog.on_filesCombo_activated

on_filesCombo_activated(index)

Private slot to handle the selection of a file.

index
  activated row (integer)

#### SvnDiffDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### SvnDiffDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### SvnDiffDialog.on_saveButton_clicked

on_saveButton_clicked()

Private slot to handle the Save button press.

It saves the diff shown in the dialog to a file in the local filesystem.

#### SvnDiffDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### SvnDiffDialog.start

start(fn, versions=None, urls=None, summary=False)

Public slot to start the svn diff command.

fn
  filename to be diffed (string)
versions
  list of versions to be diffed (list of up to 2 strings or None)
urls=
  list of repository URLs (list of 2 strings)
summary=
  flag indicating a summarizing diff (only valid for URL diffs) (boolean)

Up